<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
$set['title']='Самые умные в чате'; // заголовок страницы
require '../sys/inc/thead.php';
title();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `iq` > '0'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
?>
<div class='noy'>Нет результатов</div>
<?
}
$q=mysql_query("SELECT `id` FROM `user` WHERE `iq` > '0' ORDER BY `iq` DESC LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_assoc($q))
{
$ank=get_user($ank['id']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".avatar2($ank['id'])."<br />";
echo "".on($ank['id'])."\n";
echo "".status($ank['id'])."";
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a>\n";
echo "".medal($ank['id'])."<br />";
echo "[$ank[iq] правильных ответов]<br />\n";
echo "</div>\n";
}

if ($k_page>1)str("?",$k_page,$page);
require '../sys/inc/tfoot.php';
?>